Name:           perl-Text-CSV_XS
Version:        1.55
Release:        1
Summary:        Comma-separated values manipulation routines
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Text-CSV_XS
Source0:        https://cpan.metacpan.org/modules/by-module/Text/Text-CSV_XS-%{version}.tgz
# Build:
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(charnames)
BuildRequires:  perl(Config::Tiny)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
# Run-time:
BuildRequires:  perl(Carp)
BuildRequires:  perl(Encode)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(strict)
BuildRequires:  perl(UNIVERSAL::isa)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
BuildRequires:  perl(XSLoader)
# Tests:
BuildRequires:  perl(base)
BuildRequires:  perl(Config)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Tie::Scalar)
# Dependencies
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))
Requires:       perl(Encode)
Requires:       perl(IO::Handle)
Requires:       perl(UNIVERSAL::isa)

%{?perl_default_filter}

%description
Text::CSV provides facilities for the composition and decomposition of
comma-separated values.  An instance of the Text::CSV class can combine
fields into a CSV string and parse a CSV string into fields.

%prep
%setup -q -n Text-CSV_XS-%{version}

chmod -c a-x examples/*

%build
perl Makefile.PL \
  INSTALLDIRS=vendor \
  OPTIMIZE="%{optflags}" \
  NO_PACKLIST=true \
  NO_PERLLOCAL=true
%{make_build}

%install
%{make_install}
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} -c %{buildroot}

%check
%{make_build} test

%files
%doc ChangeLog CONTRIBUTING.md README examples/
%{perl_vendorarch}/Text/
%{perl_vendorarch}/auto/Text/
%{_mandir}/man3/Text::CSV_XS.3*

%changelog
* Fri Jul 19 2024 xieyanlong <xieyanlong@kylinos.cn> - 1.55-1
- More fixes for strict under bind_columns (issue 54)
- Strict won't hide previous error (issue 56)

* Fri Jun 07 2024 guoshengsheng <guoshengsheng@kylinos.cn> - 1.54-1
- update to version 1.54
- Fix comment_str with strict
- Add --skip-empty to csv2xlsx
- Add --font and --font-size to csv2xlsx
- Fix possible coredump in cache on non-IO parse (issue 49)

* Thu Jun 30 2022 misaka00251 <misaka00251@misakanet.cn> - 1.48-1
- Init package (Thanks to fedora team)
